@if ($componentData(); as componentData) {
  <ng-container [sqtmCoreViewId]="'execution-view'">
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width content-head p-t-10 p-r-20"
          [attachmentList]="componentData.execution.attachmentList"
          [entityPath]="componentData.execution.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
          [displayDefaultTitle]="false"
        >
          <div projection="customTitle">
            <div class="current-workspace-main-color">
              {{ 'sqtm-core.entity.execution.label.singular' | translate }}
              <span [attr.data-test-element-id]="'execution-title'">
                #{{ componentData.execution.executionOrder + 1 }} :
                {{ componentData.execution.name }}
              </span>
            </div>
          </div>
          <div
            projection="actions"
            class="flex-column full-height"
            style="width: 40px"
          >
            <ng-content></ng-content>
          </div>
          <div
            projection="notifications"
            class="m-r-40"
            [attr.data-test-element-id]="'notifications'"
          >
            @if (!componentData.milestonesAllowModification) {
              <div
                [attr.data-test-element-id]="'milestone-locked-warning'"
                nz-tooltip
                [nzTooltipTitle]="lockedMilestoneMessage"
                [nzTooltipPlacement]="'bottom'"
                class="font-20-px sqtm-core-error-message"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-nav:milestone"
                  nzTheme="outline"
                ></i>
              </div>
            }
          </div>
          @if (
            componentData.permissions.canExecute ||
            componentData.permissions.canDeleteExecution
          ) {
            <div
              projection="menu"
              [attr.data-test-toolbar-button-id]="'action-menu-button'"
            >
              <span
                class="font-20-px"
                nz-dropdown
                [nzDropdownMenu]="actionMenu"
                [nzPlacement]="'bottomCenter'"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-generic:more"
                  nzTheme="outline"
                  class="current-workspace-button"
                ></i>
              </span>
            </div>
          }
          <div projection="capsule" class="sqtm-core-capsules-container">
            <sqtm-core-capsule-information
              [attr.data-test-element-id]="'execution-mode'"
              [informationData]="
                getExecutionMode(componentData.execution.executionMode)
              "
            >
            </sqtm-core-capsule-information>
            @if (
              !isExecutionExploratory(componentData.execution.executionMode)
            ) {
              <sqtm-core-capsule-information
                [attr.data-test-element-id]="'execution-status'"
                [informationData]="
                  getExecutionStatus(componentData.execution.executionStatus)
                "
                [customIconSize]="18"
              >
              </sqtm-core-capsule-information>
            }
            @if (componentData.execution.lastExecutedOn) {
              <sqtm-core-capsule-information
                [attr.data-test-element-id]="'last-executed-on'"
                [informationData]="
                  getLastExecution(
                    componentData.execution.lastExecutedOn,
                    componentData.execution.lastExecutedBy
                  )
                "
              >
              </sqtm-core-capsule-information>
            }
            @if (
              isExecutionExploratory(componentData.execution.executionMode)
            ) {
              <div class="m-l-auto">
                <sqtm-app-execution-page-session-duration-panel></sqtm-app-execution-page-session-duration-panel>
              </div>
            }
          </div>
        </sqtm-core-entity-view-header>
        <div class="flex-row full-height full-width">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'coverage'"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.execution-runner.coverages'
                        | translate
                    "
                    [iconName]="'sqtm-core-campaign:requirements'"
                  >
                    @if (
                      executionPageService.coverageCount$ | async;
                      as coverageCount
                    ) {
                      @if (coverageCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'project-view-permission-count'
                          "
                        >
                          <span>{{ coverageCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="getId(componentData.execution.executionMode)"
                    [nzTooltipTitle]="
                      getTooltipForCommentsAnchor(
                        componentData.execution.executionMode
                      )
                    "
                    [iconName]="
                      getIconForCommentsAnchor(
                        componentData.execution.executionMode
                      )
                    "
                  >
                  </sqtm-core-anchor-link>
                  @if (componentData.projectData.bugTracker) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'issues'"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.execution-page.issue.plural'
                          | translate
                      "
                      [iconName]="'sqtm-core-generic:issues'"
                    >
                      @if (componentData.execution.nbIssues > 0) {
                        <div class="anchor-counter">
                          <span>{{ componentData.execution.nbIssues }}</span>
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  }
                </sqtm-core-anchor-group>
                @if (
                  !isExecutionExploratory(componentData.execution.executionMode)
                ) {
                  <sqtm-core-anchor-group [id]="'scenario'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'scenario'"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.execution-page.scenario.label'
                          | translate
                      "
                      [iconName]="'sqtm-core-campaign:scenario'"
                    >
                      @if (
                        getStepsNumber(
                          componentData.execution.executionSteps.entities
                        ) > 0
                      ) {
                        <div class="anchor-counter">
                          <span>{{
                            getStepsNumber(
                              componentData.execution.executionSteps.entities
                            )
                          }}</span>
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
                <sqtm-core-anchor-group [id]="'charter'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'charter'"
                    [visible]="
                      isExecutionExploratory(
                        componentData.execution.executionMode
                      )
                    "
                    [nzTooltipTitle]="
                      'sqtm-core.test-case-workspace.title.charter' | translate
                    "
                    [iconName]="'sqtm-core-test-case:charter'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'notes'"
                    [visible]="
                      isExecutionExploratory(
                        componentData.execution.executionMode
                      )
                    "
                    [nzTooltipTitle]="
                      'sqtm-core.test-case-workspace.title.notes' | translate
                    "
                    [iconName]="'sqtm-core-campaign:note'"
                  >
                    @if (getSessionNotesCount(componentData) > 0) {
                      <div class="anchor-counter">
                        <span>{{ getSessionNotesCount(componentData) }}</span>
                      </div>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                @if (
                  !isExecutionExploratory(componentData.execution.executionMode)
                ) {
                  <sqtm-core-anchor-group [id]="'history'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'history'"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.test-plan.launch-execution.history'
                          | translate
                      "
                      [iconName]="'sqtm-core-generic:history'"
                    >
                      @if (componentData.execution.executionsCount > 0) {
                        <div class="anchor-counter">
                          <span>{{
                            componentData.execution.executionsCount
                          }}</span>
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
    <sqtm-core-attachment-drawer [canAttach]="canAttach">
    </sqtm-core-attachment-drawer>
    <nz-dropdown-menu #actionMenu="nzDropdownMenu">
      <ul nz-menu [attr.data-test-menu-id]="'action-menu'">
        @if (!isExecutionExploratory(componentData.execution.executionMode)) {
          <li
            nz-menu-item
            [nzDisabled]="!canExecute"
            [attr.data-test-menu-item-id]="'start-execution-in-dialog'"
            (click)="startExecutionInDialog(componentData)"
          >
            {{ this.getI18nLabelForDialogStart(componentData) | translate }}
          </li>
        }
        <li
          nz-menu-item
          [nzDisabled]="!canDeleteExecution"
          [attr.data-test-menu-item-id]="'delete'"
          (click)="deleteExecutionWithRedirect(componentData.execution.id)"
        >
          {{ 'sqtm-core.generic.label.delete' | translate }}
        </li>
      </ul>
    </nz-dropdown-menu>
  </ng-container>
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}

<ng-template #lockedMilestoneMessage>
  {{ 'sqtm-core.entity.generic.milestone.locked' | translate }}
</ng-template>
